# VariableTypeStore Class Reference

This is the wrapper class for the variable store, which implements the lookup and scoping of simple variables. More...

`#include <VariableTypeStore.hpp>`

Inheritance diagram for VariableTypeStore:

[legend]
List of all members.

## Public Member Functions

virtual | ~VariableTypeStore ()
| default destructor
virtual void | clear ()=0
| Clears all variable values and added scopes from the store.
virtual void | addLocalScope ()=0
| Adds a new local scope to the store.
virtual void | addLogicalBlockScope ()=0
| Adds a new logical block scope to the store.
virtual void | removeScope ()=0
| Removes the top level scope from the store.
virtual void | declareGlobalVar (const XMLCh *namespaceURI, const XMLCh *name, const StaticResolutionContext &src)=0
| Declares and/or sets a variable in the global scope.
virtual const StaticResolutionContext * | getGlobalVar (const XMLCh *namespaceURI, const XMLCh *name) const =0
| Gets a variable from the global scope.
virtual void | declareVar (const XMLCh *namespaceURI, const XMLCh *name, const StaticResolutionContext &src)=0
| Declare a var in the top level scope (A full set of these namespaceURI/name pair methods should be made).
virtual const StaticResolutionContext * | getVar (const XMLCh *namespaceURI, const XMLCh *name) const =0
| Looks up the value of a variable in the current scope, using ident as an qname.

## Detailed Description

This is the wrapper class for the variable store, which implements the lookup and scoping of simple variables.

## Constructor & Destructor Documentation

virtual VariableTypeStore::~VariableTypeStore | ( |  | ) | `[inline, virtual]`

| default destructor

## Member Function Documentation

virtual void VariableTypeStore::addLocalScope | ( |  | ) | `[pure virtual]`

| Adds a new local scope to the store.

virtual void VariableTypeStore::addLogicalBlockScope | ( |  | ) | `[pure virtual]`

| Adds a new logical block scope to the store.

virtual void VariableTypeStore::clear | ( |  | ) | `[pure virtual]`

| Clears all variable values and added scopes from the store.

virtual void VariableTypeStore::declareGlobalVar | ( | const XMLCh * | namespaceURI,
|  | const XMLCh * | name,
|  | const StaticResolutionContext & | src
| ) | `[pure virtual]`

| Declares and/or sets a variable in the global scope.

virtual void VariableTypeStore::declareVar | ( | const XMLCh * | namespaceURI,
|  | const XMLCh * | name,
|  | const StaticResolutionContext & | src
| ) | `[pure virtual]`

| Declare a var in the top level scope (A full set of these namespaceURI/name pair methods should be made).

virtual const StaticResolutionContext* VariableTypeStore::getGlobalVar | ( | const XMLCh * | namespaceURI,
|  | const XMLCh * | name
| ) | const`[pure virtual]`

| Gets a variable from the global scope.

virtual const StaticResolutionContext* VariableTypeStore::getVar | ( | const XMLCh * | namespaceURI,
|  | const XMLCh * | name
| ) | const`[pure virtual]`

| Looks up the value of a variable in the current scope, using ident as an qname. Returns a boolean (true if successful), and the SequenceType value of the variable

virtual void VariableTypeStore::removeScope | ( |  | ) | `[pure virtual]`

| Removes the top level scope from the store. To be called at the end of methods to implement scoping.

The documentation for this class was generated from the following file:

- VariableTypeStore.hpp